<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name:  Welcome PM Panel
| Filename: welcome_pm_panel_admin.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";

if (!checkrights("WPM")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."welcome_pm_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."welcome_pm_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."welcome_pm_panel/locale/English.php";
}
include INFUSIONS."welcome_pm_panel/infusion_db.php";

$message_subject = "";
$msg_msg = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$welcpmsettings = dbarray(dbquery("SELECT * FROM ".DB_WELCOME_PM));
$error = 0;

if (isset($_POST['savesettings'])) {
    $result = dbquery("UPDATE ".DB_WELCOME_PM." SET
	welcpm_enable='".(isNum($_POST['welcpm_enable']) ? $_POST['welcpm_enable'] : "0")."',
	message_subject='".(stripinput($_POST['message_subject']))."',
	msg_msg='".addslash(descript($_POST['msg_msg']))."'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

		opentable($locale['wel001']);
		echo"<center><div class='admin-message'>".$locale['wel01']."</div></center>\n";
		echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
		echo "<td width='30%' class='tbl'align='left'>".$locale['wel002']."</td>\n";
		echo "<td width='60%' class='tbl'><select name='welcpm_enable' class='textbox'>\n";
		echo "<option value='1'".($welcpmsettings['welcpm_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($welcpmsettings['welcpm_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td></tr>\n";
	    echo "<tr><td class='tbl' align='left'  width='30%'>".$locale['wel003']."</td>\n";
		echo"<td class='tbl1' colspan='2'><input type='text' name='message_subject' value='".stripslashes($welcpmsettings['message_subject'])."' maxlength='32' class='textbox' style='width:250px;' />\n";
		echo"</td>\n</tr>\n";
   	    echo "<tr><td class='tbl' align='left'  width='30%'>".$locale['wel004']."</td>\n";
		echo"<td class='tbl'><textarea rows='5' name='msg_msg' class='textbox' style='width:400px'>".stripslashes($welcpmsettings['msg_msg'])."</textarea><br />\n";
		echo display_bbcodes("340px", "msg_msg", "settingsform")."\n";
		echo "</td></tr>\n";
        echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='savesettings' value='".$locale['wel005']."' class='button' />\n";
		echo "</td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
        closetable();

		opentable($locale['wel006']);
		echo"<table class='tbl-border' width='100%' cellspacing='1' cellpadding='0'>\n";
		echo"<tr>\n";
		echo"<td class='tbl2' width='1%' align='right' style='white-space:nowrap'>".$locale['wel007']."</td>\n";
		$udata = dbarray(dbquery("SELECT user_id, user_name, user_status FROM ".DB_USERS." WHERE user_id='1'"));
		echo"<td class='tbl1'>".profile_link($udata['user_id'], $udata['user_name'], $udata['user_status'])."</td>\n";
		echo"</tr>\n";
		echo"<tr>\n";
		echo"<td class='tbl2' width='1%' align='right' style='white-space:nowrap'>".$locale['wel008']."</td>\n";
		echo"<td class='tbl1'>".showsubdate()."</td>\n";
		echo"</tr>\n";
		echo"<tr>\n";
		echo"<td class='tbl2' width='1%' align='right' style='white-space:nowrap'>".$locale['wel009']."</td>\n";
		echo"<td class='tbl1'>".$welcpmsettings['message_subject']."</td>\n";
		echo"</tr>\n";
		echo"<tr><tr><tr><tr>\n";
		echo"<td class='tbl1' colspan='2'>".nl2br(parseubb(parsesmileys($welcpmsettings['msg_msg'])))."</td></tr></tr></tr></tr>\n";
		echo"</table>\n";
		closetable();

		opentable($locale['copyright_title']);
		// Please do not remove copyright info 
		include INFUSIONS."welcome_pm_panel/includes/copyright_func.php";
	    echo show_wpmp_copyright();
		// End copyright info
		closetable();
		
require_once THEMES."templates/footer.php";
?>